Subject: Re: [RFC PATCH] push: start warning upcoming default change for push.default

From: Marc Branchaud <[email-masked]>
Date: Mon, 12 Mar 2012 11:13:41 -0400

On 12-03-10 01:16 AM, Michael Haggerty wrote:
> 
> I propose that the default should be even stricter: like "current", it
> would push to an branch with the same name as the current local branch,
> *but only if that branch already exists on the remote*.  It would only
> be possible to create a new branch on the remote by calling "git push"
> with an explicit branch argument.  I believe that such a policy would do
> the right thing in the cases where the "right thing" is pretty
> unambiguous, and would require a user decision in other cases.

I haven't thought it through very deeply, but at first glance this seems like
reasonable default behaviour to me.

		M.